[SM-Commit] GIT changes to master grimoire by Ladislav Hagara (96bf3920a3641771f2ed02fc6c3289b0993d8c5b)

Ladislav Hagara scm at sourcemage.org
Thu Jun 30 05:26:59 EDT 2011


GIT changes to master grimoire by Ladislav Hagara <hgr at vabo.cz>:

 graphics-libs/glew/DETAILS     |    1 +
 graphics-libs/glew/HISTORY     |    5 +++++
 graphics-libs/glew/INSTALL     |    1 +
 graphics-libs/glew/UP_TRIGGERS |    9 +++++++++
 4 files changed, 16 insertions(+)

New commits:
commit a069ba8658dc86300b62b6b3370854047c811b9c
Author: Ladislav Hagara <hgr at vabo.cz>
Commit: Ladislav Hagara <hgr at vabo.cz>

    glew updated, INSTALL nad UP_TRIGGERS added

diff --git a/graphics-libs/glew/DETAILS b/graphics-libs/glew/DETAILS
index 69f51f1..7805544 100755
--- a/graphics-libs/glew/DETAILS
+++ b/graphics-libs/glew/DETAILS
@@ -1,5 +1,6 @@
            SPELL=glew
          VERSION=1.6.0
+      PATCHLEVEL=1
      SOURCE_HASH=sha512:5b8ca9e97d01d49fde591b0c55683620e0a6ddfaf5e93e03536e6217bbb548adfcd4e945a39ed3cfddac3f239b3272be1b3491f4071689d02c4bfb7e0ec44904
           SOURCE=$SPELL-$VERSION.tgz
    SOURCE_URL[0]=$SOURCEFORGE_URL/$SPELL/$SOURCE
diff --git a/graphics-libs/glew/HISTORY b/graphics-libs/glew/HISTORY
index e52704d..80fd556 100644
--- a/graphics-libs/glew/HISTORY
+++ b/graphics-libs/glew/HISTORY
@@ -1,3 +1,8 @@
+2011-06-30 Ladislav Hagara <hgr at vabo.cz>
+	* DETAILS: PATCHLEVEL=1
+	* INSTALL: added to install bin/{glew,visual}info and lib/libGLEWmx.so*
+	* UP_TRIGGERS: added to fix libGLEW.so.1.5 -> libGLEW.so.1.6 problem
+
 2011-06-07 Arjan Bouter <abouter at sourcemage.org>
 	* DETAILS: version 1.6.0
 
diff --git a/graphics-libs/glew/INSTALL b/graphics-libs/glew/INSTALL
new file mode 100755
index 0000000..b3694c4
--- /dev/null
+++ b/graphics-libs/glew/INSTALL
@@ -0,0 +1 @@
+make install.all
diff --git a/graphics-libs/glew/UP_TRIGGERS b/graphics-libs/glew/UP_TRIGGERS
new file mode 100755
index 0000000..f5ec3f0
--- /dev/null
+++ b/graphics-libs/glew/UP_TRIGGERS
@@ -0,0 +1,9 @@
+local OLD_SPELL_VERSION=""
+spell_ok $SPELL && OLD_SPELL_VERSION="$(installed_version $SPELL)" || return 0
+if [ "${VERSION:0:3}" != "${OLD_SPELL_VERSION:0:3}" ]; then
+  message "This is a possibly incompatible update of $SPELL..."
+  message "Figuring out what spells need to be recast, this may take a while."
+  for each in $(show_up_depends $SPELL 1); do
+    up_trigger $each check_self
+  done
+fi


More information about the SM-Commit mailing list